UpperBoundEngine Class Reference

Market-model engine for upper-bound estimation. More...

`#include <ql/models/marketmodels/callability/upperboundengine.hpp>`

## Public Member Functions

| UpperBoundEngine (const boost::shared_ptr< MarketModelEvolver > &evolver, const std::vector< boost::shared_ptr< MarketModelEvolver > > &innerEvolvers, const MarketModelMultiProduct &underlying, const MarketModelExerciseValue &rebate, const MarketModelMultiProduct &hedge, const MarketModelExerciseValue &hedgeRebate, const ExerciseStrategy< CurveState > &hedgeStrategy, Real initialNumeraireValue)
void | multiplePathValues (Statistics &stats, Size outerPaths, Size innerPaths)
std::pair< Real, Real > | singlePathValue (Size innerPaths)

## Detailed Description

Market-model engine for upper-bound estimation.

Precondition
  product and hedge must have the same rate times and exercise times